Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Cisco Call Manger 6.x Migration to Version 9

 

Dear Team,

We need your technical assistance for one the task which looks some critical and challenging. Hope I get the most appropriate and best technical suggestion from Cisco Experts. Here are details for the task:

 

Current Call Manager Version

Version: 6.1

System version: 6.1.5.13900-4

 

Hardware Detail

Platform Type7815I2
Processor Speed2800
CPU TypeIntel(R) Pentium(R) D CPU 2.80GHz
Memory2048 Mbytes
Object ID1.3.6.1.4.1.9.1.582
OS Versionoperatingsystem.UCOS3.0.0.0-109
RAID Details

RAID not configured

 

We need to upgrade it to Call Manger 9 in virtual environment for this propose we took UCS-EZ7-C220-E. First we need to know that what the possible options of migration?

 

Further this is working environment and we need to consider the data migration of Call Manager. If you required any other information then kindly let me know so I can provide.

 

Thanks,

Jehan

 

7 REPLIES
VIP Purple

Hi Jehan, you can refer the

Hi Jehan,

 

you can refer the link on Jump upgrades

https://supportforums.cisco.com/blog/154681/drive-9

Secondly, you also refer the bug on the same upgrade path for NTP related issue.

CUCM jump upgrade from 6.1.5 to 9.1.2 fails due to NTP reference missing

CSCui85967

Description

Symptom:
Cisco Unified Communications Manager (CUCM) jump upgrade from 6.1(5) to 9.1(2) fails with "Error detected in post-install phase. Trying to restore the system to the active version. Please wait".

Conditions:
No NTP server is configured on CUCM as an NTP reference. An NTP reference was not required on 6.1(5) but is required on 9.1(2) so the upgrade fails if an NTP reference is not configured on CUCM 6.1(5) prior to the upgrade.

If the system fails to switch back to 6.1(5) and gets stuck with an error on the console:
----------------------------
Checking filesystems
fsck.ext3: Filesystem has unsupported features(s) (/)
e2fsck: Get a newer version of e2fsck!
.
.
.
*** An error occurred during the file system check.
*** Dropping you to a shell; the system will reboot
*** when you leave the shell.
Give root password for maintenance
(or type Control-D to continue):
----------------------------

Contact the Technical Assistance Center (TAC) and reference CSCty45858.

Workaround:
Add an NTP reference to CUCM prior to the jump upgrade from 6.1(5) to 9.1(2)

 

regds,

aman

 

New Member

Dear Experts,

Dear Experts,

Thanks for your input on this subject. I go through the links and got one of the document related to upgrade from 6.1(5) to 9.x. What I understand from the documents that is: https://supportforums.cisco.com/sites/default/files/legacy/3/0/1/15363103 Drive_to_Nine_High_Availability_upgrade_versions_6.1.2-6.1.5_7.0.1-7.1.3_8.0.1_to_9.1.1.pdf

1 Upgrade to Unified Communications Manager Release 8.0(3).

2 Virtualize Unified Communications Manager Release 8.0(3).

3 Upgrade to Unified Communications Manager Release 9.1(x).

We have hardware platform 7815 (I2) so for this platform we can move to upgrade 8.0(3). but after this point we cannot move to 8.0(3) to make it virtualized on same hardware due to compatibility restriction. So its mean from here we will do physical migration from MCS to UCS, so how we can shift 8.0(3) Call Manager to UCS to make it virtulize and then move to 9.x?

Either we install a fresh CUCM 8.0(3) unvirtulize and then do backup installation of MCS on new UCS with CUCM 8.0(3) un virtulize and convert it to Virtulize?

 

Please explain further.

 

 

Thanks,

 

Jehan

Hall of Fame Super Silver

With Drive to 9 you can

With Drive to 9 you can virtulize your current version 6.1 and then go through the upgrade, you dont need to perform the upgrade on your current server. Just remember to reinstall and restore from backup after you finish the upgrade as documented in order to align partitions appopriately.

 

Chris

VIP Purple

Hi Jehan, [+5] to Chris. this

Hi Jehan,

 

[+5] to Chris.

 

this is the benefit of Jump Upgrade. the link attached shows on page 13 which says that 6.1(5) needs to be built on UCS andd then, upgrade.It has to be done in Non -production setup.

 

regds,

aman

New Member

Dear Cris & Aman,

 

Dear Cris & Aman,

Thanks for the support.

 

What i understand that is :

1: Take backup of your existing CUCM 6.1(5) installed on MCS Server

2: Install fresh CUCM 6.1(5) on the UCS

3: Upgrade to 8.0(3) as non virtulize and then upgrade to version 9.x as virtulize

4: Once upgrade to version 9 then reinstall the backup of CUCM 6.1(5) on 9.x

 

I have few more questions but first let me know that my point are correct or not.

 

Thanks,

Jehan

Cisco Employee

No, you're way off what you

No, you're way off what you need to do on 3 and 4, go thru the jump upgrade document, digest the information, and then come back with further questions.

1 MCS:  6.1(5) DRS backup

2 UCS: 6.1(5) DRS restore

3 UCS: upgrade to 9.1(2), DRS backup

4UCS: Fresh install of 9.1(2), DRS restore

HTH

java

if this helps, please rate

www.cisco.com/go/pdi
Cisco Employee

Assuming you're a partner, go

Assuming you're a partner, go here and read about the jump upgrade

https://communities.cisco.com/community/partner/collaboration/migration

If you're able to access it, go thru all the material, and then, come back if you have further questions.

HTH

java

if this helps, please rate

www.cisco.com/go/pdi
177
Views
5
Helpful
7
Replies
CreatePlease to create content